Graphcomm
Date: 2011-01-14

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mpi
Class Graphcomm

    java.lang.Object
      mpi.Comm
          mpi.Intracomm
              mpi.Graphcomm

    public class Graphcomm

extends Intracomm

Field Summary

Fields inherited from class mpi.Comm
`group, mpjdevComm`

Method Summary
`java.lang.Object` | `clone()` Clone the communicator This method will be called only by intracommunicator ....
`GraphParms` | `Get()` Returns graph topology information.
`int` | `Map(int[] index, int[] edges)` Compute an optimal placement.
`int[]` | `Neighbours(int rank)` Provides adjacency information for general graph topology.
`int` | `Topo_test()` Returns the type of topology associated with the communicator.

Methods inherited from class mpi.Intracomm
`Allgather, Allgatherv, Allreduce, Alltoall, Alltoallv, Barrier, Bcast, Create_cart, Create_graph, Create, Gather, Gatherv, Reduce_scatter, Reduce, Scan, Scatter, Scatterv, Split`

Methods inherited from class mpi.Comm
`Abort, Attr_delete, Attr_get, Bsend_init, Bsend, bsend, Compare, Create_intercomm, Free, Group, Ibsend, ibsend, Iprobe, Irecv, irecv, Irsend, irsend, Isend, isend, Issend, issend, Pack_size, Pack, Probe, Rank, Recv_init, Recv, recv, Rsend_init, Rsend, rsend, Send_init, Send, send, Sendrecv_replace, sendrecv, Sendrecv, Size, Ssend_init, Ssend, ssend, Test_inter, Unpack`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### clone

    public java.lang.Object clone()
                           throws MPIException

  Description copied from class: `Intracomm`
  Clone the communicator This method will be called only by intracommunicator .... changed the return value to Intracomm ...(instead of Object) ...

  Overrides:
    `clone` in class `Intracomm`
  Throws:
    `MPIException`

### Get

    public GraphParms Get()
                   throws MPIException

  Returns graph topology information.

  returns: | object defining node degress and edges of graph

  Java binding of the MPI operation `MPI_GRAPHDIMS_GET`.

  The number of nodes and number of edges can be extracted from the sizes of the `index` and `edges` fields of the returned object.

  Throws:
    `MPIException`

### Neighbours

    public int[] Neighbours(int rank)
                     throws MPIException

  Provides adjacency information for general graph topology.

  `rank` | rank of a process in the group of this communicator
  returns: | array of ranks of neighbouring processes to one specified

  Java binding of the MPI operations `MPI_GRAPH_NEIGHBOURS_COUNT` and `MPI_GRAPH_NEIGHBOURS`.

  The number of neighbours can be extracted from the size of the result.

  Throws:
    `MPIException`

### Map

    public int Map(int[] index,
                   int[] edges)
            throws MPIException

  Compute an optimal placement.

  `index` | node degrees
  `edges` | graph edges
  returns: | reordered rank of calling process

  Java binding of the MPI operation `MPI_GRAPH_MAP`.

  The number of nodes is taken to be size of the `index` argument.

  Throws:
    `MPIException`

### Topo_test

    public int Topo_test()
                  throws MPIException

  Description copied from class: `Comm`
  Returns the type of topology associated with the communicator.

  returns: | topology type of communicator

  Java binding of the MPI operation `MPI_TOPO_TEST`.

  The return value will be one of `MPI.GRAPH`, `MPI.CART` or `MPI.UNDEFINED`.

  Overrides:
    `Topo_test` in class `Comm`
  Throws:
    `MPIException`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD